;+
; circfillwin.pro
;
; PURPOSE	Fill a circle with a specified color.
;
; SYNTAX	circfillwin, xdim, ydim, xcen, ycen, radius, color
;
;		xdim	x dimension
;		ydim	y dimension
;		xcen	x center
;		ycen	y center
;		radius	radius of circle in pixels
;		color	color index for fill
;
; AUTHOR	Andrew L. Stanger   HAO/NCAR   14 Feb 2006
;-

PRO circfillwin, xdim, ydim, xcen, ycen, radius, color

  FOR iy = 0, ydim - 1 DO		$
  BEGIN
     FOR ix = 0, xdim - 1 DO	$
     BEGIN
       radpix = sqrt (ix * ix + iy * iy)
       if (radpix LE radius) THEN PLOTS, ix, iy, color=color, /device
     END
  END

  RETURN
END
